> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Producer Variation API | Google Lyria 3 Documentation

> Use the Google Lyria 3 / Producer Variation API to generate alternate versions of an existing song or musical idea.



## OpenAPI

````yaml openapi/en/producer.json POST /producer/v1/variation
openapi: 3.1.0
info:
  title: Producer API DOCS
  version: 1.0.0
  description: TTAPI Producer API service
servers:
  - url: https://api.ttapi.io
security: []
paths:
  /producer/v1/variation:
    post:
      description: >-
        Generate a new music with similar effect based on the seed value of the
        previous music
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VariationRequest'
      responses:
        '200':
          $ref: '#/components/responses/SuccessResponse'
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  schemas:
    VariationRequest:
      type: object
      properties:
        music_id:
          type: string
          description: Parent task's musicId
        is_storage:
          type: boolean
          description: Whether to save
          default: 'false'
        hook_url:
          type: string
          description: >-
            Callback notification URL. The data returned is consistent with the
            task result query response
      required:
        - music_id
  responses:
    SuccessResponse:
      description: Request successful
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: SUCCESS
              message:
                type: string
                example: success
              data:
                type: object
                example:
                  jobId: jobId
            required:
              - status
              - message
              - data
    400Response:
      description: Parameter error
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: '"prompt" cannot be empty.'
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: Authorization failed
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        You can obtain your API key from the <a
        href='https://dashboard.ttapi.io' target='_blank'>TTAPI Dashboard</a>.

````